Inventory Transfer Connection
An auto-generated type for paginating through multiple InventoryTransfers.
Anchor to Queries with this connectionQueries with this connection
- inventoryTransfers (InventoryTransferConnection!)
- •query
Returns a paginated list of
objects between locations. Transfers track the movement ofobjects betweenLocationobjects.Supports filtering transfers using query parameters and sorting by various criteria. Use the connection's edges to access transfer details including
objects, quantities, and shipment status.- Anchor to firstfirst•Int
The first
nelements from the paginated list.- Anchor to afterafter•String
The elements that come after the specified cursor.
- Anchor to lastlast•Int
The last
nelements from the paginated list.- Anchor to beforebefore•String
The elements that come before the specified cursor.
- Anchor to reversereverse•BooleanDefault:false
Reverse the order of the underlying list.
- Anchor to sortKeysort•Transfer
Key Sort Keys Default:ID Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.
- Anchor to queryquery•String
A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.
- Anchor to default•string
Filter by a case-insensitive search of multiple fields in a document.
query=Bob Normanquery=title:green hoodie- Anchor to created_at•time
- Anchor to destination_id•id
- Anchor to origin_id•id
- Anchor to product_id•id
- Anchor to product_variant_id•id
- Anchor to source_id•id
- Anchor to status•string
- Anchor to tag_not•string
Filter by objects that don’t have the specified tag.
tag_not:my_tag
Example:
Example:
- Anchor to savedSearchIdsaved•ID
Search Id The ID of a saved search. The search’s query string is used as the query argument.
Arguments
Anchor to Possible returnsPossible returns
- edges ([InventoryTransferEdge!]!)
- nodes ([InventoryTransfer!]!)
- pageInfo (PageInfo!)
- Anchor to edgesedges•[Inventory
Transfer Edge!]! non-null The connection between the node and its parent. Each edge contains a minimum of the edge's cursor and the node.
- Anchor to nodesnodes•[Inventory
Transfer!]! non-null A list of nodes that are contained in InventoryTransferEdge. You can fetch data about an individual node, or you can follow the edges to fetch data about a collection of related nodes. At each node, you specify the fields that you want to retrieve.
- Anchor to pageInfopage•Page
Info Info! non-null An object that’s used to retrieve cursor information about the current page.